Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518919 - CloudForms: Default Insights page shows errors instead of being helpful
Summary: CloudForms: Default Insights page shows errors instead of being helpful
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Insights
Classification: Red Hat
Component: CloudForms Integration
Version: unspecified
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Lindani Phiri
QA Contact: Jeff Needle
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 18:34 UTC by Mike Dahlgren
Modified: 2019-03-05 18:24 UTC (History)
8 users (show)

Fixed In Version: rh-ruby23-rubygem-redhat_access_cfme-2.0.2-1.el7cf, rh-ruby23-rubygem-redhat_access_lib-1.1.4-1.el7cf
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-05 18:24:38 UTC


Attachments (Terms of Use)
Insights overview (deleted)
2017-11-29 18:34 UTC, Mike Dahlgren
no flags Details

Description Mike Dahlgren 2017-11-29 18:34:46 UTC
Created attachment 1360501 [details]
Insights overview

Description of problem:

Out of the Box CloudForms should list Information on how to get started using Red Hat insights, instead it shows an error message.

For example when going to "Red Hat Insights > Overview" the expectations is that there would be an overview stating what Insights is and how to get started.  With if not instructions on how to set it up at least a link to the project homepage (e.g. https://access.redhat.com/insights/info/) Instead it states "There was an error retrieving data."(screenshot attached).

How reproducible: 100%

P.S. I would argue that the Insights "Red Hat Insights > Overview" tab should also be above the "Red Hat Insights > Action" tab so it matches other sections such as how it is for the "containers" section.

Comment 3 Lindani Phiri 2017-12-07 13:31:30 UTC
A check for registration was accidentally removed in this version of the Insights plugin.
The expected behavior for unregistered appliances is for a page to be rendered detailing steps that must be taken.

Comment 4 Lindani Phiri 2018-01-08 14:44:30 UTC
Registration check is readded. User will be shown  help screen with link to detail instructions for configuring Insights.

Comment 5 Satoe Imaishi 2018-01-12 14:22:51 UTC
The new RPMs are included in CFME 5.9.0.16 build.


Note You need to log in before you can comment on or make changes to this bug.